Subject: (IPng 6529) Re: NEW DRAFT: draft-ietf-ipngwg-bsd-api-new-02.txt

From: Jim Bound IPv6 Technical Leader UNIX Engineering Internet Group <[email-masked]>
Date: Fri, 25 Sep 1998 13:56:16 -0400

Erik,

>> - Added defaults for multicast operations in section 5.2 and changed
>>   the names from ADD to JOIN and DROP to LEAVE to be consistent with
>>   IPv6 multicast terminology.
>
>>     IPV6_JOIN_MEMBERSHIP                                                  |
>>     IPV6_LEAVE_MEMBERSHIP                                                 |

>These names look odd - retaining the "membership" part of the name
>doesn't match with join/leave.
>
>Thus either keep the old names (add/drop_membership) or replace "membership"
>with "group" to get IPV6_JOIN_GROUP and IPV6_LEAVE_GROUP.
>
>(Sorry, I didn't see this before but I'm implementing these changes right now.)

Good catch.  I will change the suffix to GROUP.

You will see an updated spec any moment now just fixing some of the
nroff stuff.

thanks
/jim
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------